
!!!!!!!!!!!!!!!!!!!!!!!!!! chunk1 !!!!!!!!!!!!!!!!!!!!!!!!
        SUBROUTINE chunk1(width,height, chunkStruct, border)
          USE chunkModule
	  IMPLICIT NONE

          TYPE(chunk_struct) :: chunkStruct
          TYPE(chunk_type), POINTER :: chunk
          INTEGER width, height
          INTEGER i, j
          REAL(KIND=8) border(1:*)

          ALLOCATE (chunk)
          chunkStruct%chunk_ptr => chunk

          chunk%height = height
          chunk%width = width + 2

          chunk%temperature(1:chunk%height, 1) = border(1:chunk%height)
          DO i = 2, chunk%width - 1
           DO j = 1, chunk%height
             chunk%temperature(j, i) = chunk%temperature(j, i-1) + 1.0
	   END DO
	  ENDDO
          border(1:chunk%height) = chunk%temperature(1:chunk%height, chunk%width-1)
          IF (ASSOCIATED(chunk)) THEN
 	    DEALLOCATE(chunk)
 	  END IF
        END SUBROUTINE chunk1

